@echo off

REM VBSの検索
set VBS_DIR=
set PORTNAME_HED=
if exist %windir%\System32\Printing_Admin_Scripts\ja-JP\prnport.vbs (
	set VBS_DIR=%windir%\System32\Printing_Admin_Scripts\ja-JP\
) else (
	if exist %windir%\System32\prnport.vbs (
		set PORTNAME_HED=IP_
		set VBS_DIR=%windir%\System32\
	) else (
		echo [prnport.vbs]が見つかりませんでした！ 手動でポートの設定をお願いします
		echo 何かキーを押すと終了します
		pause>nul
		exit
	)
)


REM プリンタの構成取得
echo IPアドレス一括設定ツール
echo.
echo 本体のみ ⇒ 1
echo 本体+2TM ⇒ 2
echo キャンセル ⇒ 0
echo.
set /P KOUSEI="プリンタ構成の番号を入力し、Enterキーを押してください："

if %KOUSEI% == 1 (
	echo 本体のみ　が選択されました。
) else if %KOUSEI% == 2 (
	echo 本体+1TM　が選択されました。
) else (
	exit
)


REM IPアドレスの取得
echo.
echo プリンタのIPアドレスを入力し、Enterキーを押してください
echo [入力例]192.168.1.2
set /P S_NUM="IPアドレス："
if "%S_NUM%" EQU "" (exit)

echo ポート設定中です。（数分かかります）

REM ポートの作成
cscript %VBS_DIR%prnport.vbs -a -h %S_NUM% -r %PORTNAME_HED%%S_NUM% -o lpr -q lp

REM プリントキューに設定
cscript %VBS_DIR%prncnfg.vbs -t -p "ApeosPrint C4570 ハガキ" -r %PORTNAME_HED%%S_NUM%
cscript %VBS_DIR%prncnfg.vbs -t -p "ApeosPrint C4570 喪中" -r %PORTNAME_HED%%S_NUM%
cscript %VBS_DIR%prncnfg.vbs -t -p "ApeosPrint C4570 普通紙手差し" -r %PORTNAME_HED%%S_NUM%
cscript %VBS_DIR%prncnfg.vbs -t -p "ApeosPrint C4570 名刺" -r %PORTNAME_HED%%S_NUM%

:END
echo.
echo　ポートの設定が完了しました。 何かキーを押すと終了します
pause>nul
